/*  These procedures handle the majority of input from the user. */

#include "p_poker.h"
#include "p_common.h"
#include "p_window.h"


/* Get a choice of Stay, Drop or Bet from user */
void
get_SDB(int source, char *choice)
{
	do
		px_get_input(source, choice);
	while (*choice != 's' && *choice != 'd' && *choice != 'b');
}

/* Get a choice of Raise, Drop or Call from user*/
void
get_RCD_original(int source, char *choice, int turn) /* original---hunsoo */
{
	do
		px_get_input(source, choice);
	while ((*choice != 'r' && turn != 6) &&
	       *choice != 'd' && *choice != 'c');
}
void
get_RCD(int source, char *choice, int turn) /* hunsoo */
{
	do
		px_get_input(source, choice);
	while ((*choice != 'r' || turn == 6) &&
	       *choice != 'd' && *choice != 'c');
}

/* Get the user's bet, or raise from a single key*/
/* ress, using multiles of five, for the bets.    */
void
get_increment(int source, int *amount)
{
	char    amt;
	do
		px_get_input(source, &amt);
	while (amt < '1' || amt > '5');

	*amount = ((int) (amt - '0') * 5);
}

/*  Get a maximum of Three cards to be rejected by the user. */
void
get_user_changes(int source, int *reject, int *exchange)
{
	int     no_of_cards, complete, count, ok, value;
	char    choice;

	px_putmsg("Which cards do you want to reject(1-5)");

	no_of_cards = 0;
	complete = 0;
	choice = ' ';

	do {
		do
			px_get_input(source, &choice);
		while ((choice < '1' || choice > '5') && choice != 13 &&
		       choice != '\n' && choice != '\b' && choice != '\177') ;

		switch (choice) {
		case '\n':
		case 13:
			complete = 1;
			*reject = no_of_cards;
			break;
		case '\b':
		case '\177':
			px_deletemsg();
			no_of_cards = 0;
			break;
		default:
			if (no_of_cards < 3) {
				value = choice - '1';
				ok = 1;
				for (count = 0; count < no_of_cards; count++)
					if (value == exchange[count])
						ok = 0;

				if (ok) {
					px_show_choice(choice, no_of_cards);
					exchange[no_of_cards++] = value;
				}
			}
		}		/* switch */
	} while (!complete);
	px_putmsg("");
}
